// 2 materials and a hole

lc = 0.5;
Lx = 50;
Ly = 10;


ix = 8;
iy = 6;
DefineConstant[ iR = { 3.0, Min 0.5, Max 1.5, Step 0.1, Name "Lengths/iR" }  ];

hx = Lx-8;
hy = Ly-6;
DefineConstant[ hR = { 3.0, Min 0.5, Max 1.5, Step 0.1, Name "Lengths/hR" }  ];


// -- outer boundary

Point(1) = { 0,   0, 0, lc};
Point(2) = { Lx,  0, 0, lc};
Point(3) = { Lx, Ly, 0, lc};
Point(4) = { 0,  Ly, 0, lc};


Line(1) = {1, 2};
Line(2) = {2, 3};
Line(3) = {3, 4};
Line(4) = {4, 1};

Line Loop(1) = {1, 2, 3, 4};


// -- inclusion #1
Point(11) = { ix-iR,  iy, 0, lc};
Point(12) = { ix,     iy, 0, lc};
Point(13) = { ix+iR,  iy, 0, lc};

Circle(10) = {11, 12, 13};
Circle(11) = {13, 12, 11};

Line Loop(11) = {11, 10};
Plane Surface(11) = {11};

// -- inclusion #2

Point(21) = { hx-hR,  hy, 0, lc};
Point(22) = { hx,     hy, 0, lc};
Point(23) = { hx+hR,  hy, 0, lc};

Circle(20) = {21, 22, 23};
Circle(21) = {23, 22, 21};

Line Loop(21) = {21, 20};
Plane Surface(21) = {21};

// -- matrix
Plane Surface(1) = {1, 11, 21};

Physical Point("P1") = {1};
Physical Point("P2") = {2};
Physical Point("P3") = {3};
Physical Point("P4") = {4};

Physical Line("Bottom") = {1};
Physical Line("Right") = {2};
Physical Line("Top") = {3};
Physical Line("Left") = {4};

Physical Surface("Matrix") = {1};
Physical Surface("Inclusion") = {11, 21};


